org.apache.xmlgraphics.image.codec.png

## Enum PNGChunk.ChunkType

- java.lang.Object
- - java.lang.Enum<PNGChunk.ChunkType>
  - - org.apache.xmlgraphics.image.codec.png.PNGChunk.ChunkType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PNGChunk.ChunkType>
  Enclosing class:
    PNGChunk

      public static enum PNGChunk.ChunkType
      extends java.lang.Enum<PNGChunk.ChunkType>

  See http://en.wikipedia.org/wiki/Portable_Network_Graphics for a light explanation; See http://www.libpng.org/pub/png/spec/1.2/PNG-Chunks.html for the spec.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bKGD`
    `cHRM`
    `gAMA`
    `hIST`
    `iCCP`
    `IDAT`
    `IEND`
    `IHDR`
    `iTXt`
    `pHYs`
    `PLTE`
    `sBIT`
    `sPLT`
    `sRGB`
    `sTER`
    `tEXt`
    `tIME`
    `tRNS`
    `zTXt`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PNGChunk.ChunkType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PNGChunk.ChunkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IHDR

          public static final PNGChunk.ChunkType IHDR

    - #### PLTE

          public static final PNGChunk.ChunkType PLTE

    - #### IDAT

          public static final PNGChunk.ChunkType IDAT

    - #### IEND

          public static final PNGChunk.ChunkType IEND

    - #### bKGD

          public static final PNGChunk.ChunkType bKGD

    - #### cHRM

          public static final PNGChunk.ChunkType cHRM

    - #### gAMA

          public static final PNGChunk.ChunkType gAMA

    - #### hIST

          public static final PNGChunk.ChunkType hIST

    - #### iCCP

          public static final PNGChunk.ChunkType iCCP

    - #### iTXt

          public static final PNGChunk.ChunkType iTXt

    - #### pHYs

          public static final PNGChunk.ChunkType pHYs

    - #### sBIT

          public static final PNGChunk.ChunkType sBIT

    - #### sPLT

          public static final PNGChunk.ChunkType sPLT

    - #### sRGB

          public static final PNGChunk.ChunkType sRGB

    - #### sTER

          public static final PNGChunk.ChunkType sTER

    - #### tEXt

          public static final PNGChunk.ChunkType tEXt

    - #### tIME

          public static final PNGChunk.ChunkType tIME

    - #### tRNS

          public static final PNGChunk.ChunkType tRNS

    - #### zTXt

          public static final PNGChunk.ChunkType zTXt

  - ### Method Detail

    - #### values

          public static PNGChunk.ChunkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PNGChunk.ChunkType c : PNGChunk.ChunkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PNGChunk.ChunkType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.